# Poll order status 

**GET**`https://pay.example.com/pay/check-status/{trade_id}`

[Request example ↓](https://epusdt.com/api/endpoints/order-status#request-example)

Poll with the EPUSDT `trade_id` to update checkout. Fulfil the order after verifying the merchant callback.

## Parameters 

`trade_id` · `string` · PATH

The EPUSDT transaction ID returned when the order was created.

## Order states 

| Status | Meaning                                                             |
| ------ | ------------------------------------------------------------------- |
| 1      | Awaiting payment                                                    |
| 2      | Paid                                                                |
| 3      | Expired                                                             |
| 4      | Awaiting a network, asset or provider selection                     |
| 5      | A matching transfer has been observed and is confirming             |
| 6      | Two rounds of strict verification failed. Manual review is required |

## Related resources 

* [Read checkout details](https://epusdt.com/api/endpoints/checkout-details)
* [Merchant callbacks](https://epusdt.com/api/payment#callbacks)

## Responses

application/jsonResponse fields
* `status_code` integer  
Application result code.
* `message` string  
Human-readable result.
* `data` object  
Response payload; null on error.

  * `trade_id` string
  * `status` integer
* `request_id` string  
Request identifier for tracing.

application/jsonResponse fields
* `status_code` integer  
Application result code.
* `message` string  
Human-readable result.
* `data` null  
Response payload; null on error.
* `request_id` string  
Request identifier for tracing.

[error-codes.json ↓](https://epusdt.com/agent-setup/error-codes.json)

**Request example**

Gateway URL trade\_id 

```
curl -i -X GET \
  'https://pay.example.com/pay/check-status/20260523171652123456001'
```

Enter your gateway URL to test a public query.

**Example response**200 · Success400 · 10008 · Order not found

application/json · Selected response fields

```
{
  "status_code": 200,
  "message": "success",
  "data": {
    "trade_id": "20260523171652123456001",
    "status": 1
  },
  "request_id": "b1344d70-ff19-4543-b601-37abfb3b3686"
}
```
